(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["GithubApiWrapper"] = factory();
	else
		root["GithubApiWrapper"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(1).default;


/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /* global fetch */
/* eslint class-methods-use-this: ["error", { "exceptMethods": ["request"] }] */

var _config = __webpack_require__(2);

var _repositories = __webpack_require__(3);

var _repositories2 = _interopRequireDefault(_repositories);

var _commits = __webpack_require__(4);

var _commits2 = _interopRequireDefault(_commits);

var _contributors = __webpack_require__(5);

var _contributors2 = _interopRequireDefault(_contributors);

var _utils = __webpack_require__(6);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var GithubApiWrapper = function () {
  function GithubApiWrapper(options) {
    _classCallCheck(this, GithubApiWrapper);

    this.apiUrl = options.apiUrl || _config.API_URL;
    this.userName = options.userName || _config.USER_NAME;

    this.repositories = _repositories2.default.bind(this)();
    this.commits = _commits2.default.bind(this)();
    this.contributors = _contributors2.default.bind(this)();
  }

  _createClass(GithubApiWrapper, [{
    key: 'request',
    value: function request(url) {
      return fetch(url).then(_utils2.default);
    }
  }]);

  return GithubApiWrapper;
}();

exports.default = GithubApiWrapper;

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var API_URL = exports.API_URL = 'https://api.github.com';
var USER_NAME = exports.USER_NAME = 'mundipagg';

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = repositories;
function repositories() {
  var _this = this;

  return {
    getRepoList: function getRepoList() {
      return _this.request(_this.apiUrl + "/users/" + _this.userName + "/repos?sort=updated&direction=desc");
    }
  };
}

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = commits;
function fetchList(repoName) {
  return this.request(this.apiUrl + "/repos/" + this.userName + "/" + repoName + "/commits");
}

function commits() {
  return {
    getCommitsList: fetchList.bind(this)
  };
}

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = contributors;
// /* global fetch */

// import { API_URL } from './config';
// import toJSON from './utils';

// const getContributorsList = (username, repoName) =>
//   fetch(`${API_URL}/repos/${username}/${repoName}/contributors`)
//     .then(toJSON);

// export default getContributorsList;


function fetchList(repoName) {
  return this.request(this.apiUrl + "/repos/" + this.userName + "/" + repoName + "/contributors");
}

function contributors() {
  return {
    getContributorsList: fetchList.bind(this)
  };
}

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var toJSON = function toJSON(data) {
  return data.json();
};
exports.default = toJSON;

/***/ })
/******/ ]);
});
//# sourceMappingURL=github-api-wrapper.umd.js.map